Я смотрю на один из 2 вариантов теперь думаю: 1) выяснить, как отменить проверку изменения вручную. 2) разрешить для fsck для исправления системы и надеемся, что он сможет придумать, как отменить изменения себя. :/ Я могу попытаться придумать что-то. выстрел в темноте ... я исправил подобную проблему путем установки ГДМ, `судо apt-получить установку ГДМ`, бежать `судо команды dpkg-перенастроить языка`, чтобы выбрать ГРМ, то при снятии языка (приглашение/пользовательский селектор, который показывает вверх для входа в систему). @Цербер : к сожалению, это было ~30 лет назад. Я знаю, что это было в провинции Utrect (мы жили в Huis Тер Хайде, прямо у американских ворот авиабазы Сустерберг). Это могло быть в городе Utrect, Зейст, или даже Ден-Дольдер. Предложение: студенты с другими видами особых потребностей, чем психиатрическая могут быть полезными союзниками. Когда каждый борется самостоятельно, в одностороннем порядке, трудно многого добиться. Но когда люди с различными особыми потребностями координировать свои усилия, вы можете в конечном итоге с американцами с законом об инвалидах (которые в корне преобразовали наше общество в США).

Я пытаюсь запустить .файл jnlp с помощью javaws. Она производит эта ошибка:

Вызвана: чистая.на SourceForge.у jnlp.LaunchException: Роковой: 
Ошибка приложения: приложение jnlp не полностью подписан
на один экзамен. Приложение jnlp и ее компонентов 
индивидуальную подпись, однако должны быть подписантом 
все записи.

Кажется, что местные виртуальная машина Java не накладывает ограничений безопасности. Теперь я уверен, что источник этого .файл jnlp является безопасным, и я действительно хочу, чтобы запустить его. Чтобы сделать его хуже, скачивании и открытии того же файла в Windows работает. Понятия не имею, почему это так?

Как я могу сказать javaws, чтобы игнорировать эту проблему?

javaws -версия: зависящие-веб-1.6.2 (1.6.2-3.1)

стрейч дебиан, ядро Linux 4.9.0-8-для amd64

Редактировать: этот пост является оболванивания запуск неподписанных javaws код

Однако все возможные там решения не работают для меня:

Добавление:

развертывания.безопасности.уровень=ALLOW_UNSIGNED

для

.развертывание развертывания Java//.свойства

Не получилось. Кроме того, заявление о том, что ~/.конфиг/зависящие.веб-это псевдоним .развертывания Java/не верно. Файл не существует вообще в ~/.конфиг/зависящие.веб. По крайней мере, не на моей системе. Я связала развертывания.prpoerties в ~/.конфиг/зависящие.веб. Безрезультатно.

Я создал ссылку, так что ~/.конфиг/зависящие.веб-указывает на .Ява/развертывания/. Не работал ни один.

Затем, рекомендуется закомментировать disabledAlgorithms в

файл /etc/Ява-*-пакеты OpenJDK/безопасности/Ява.безопасности

У меня есть несколько Java-приложений.файлы безопасности на моей системе, в том числе в /etc и /usr. Я закомментировал эту строку в ВСЕ Java.файлы безопасность присутствует в моей системе.

Так что, возможно, пост-это боян подобной проблемы, видимо это что-то другое, как предложенные решения не решают проблему.

Какую информацию я могу предоставить, чтобы ближе к делу? И почему он работает в Windows сразу, без изменения каких-либо настроек безопасности?